# Uses of Class
org.springframework.web.servlet.resource.NoResourceFoundException

Packages that use NoResourceFoundException
Package
Description
org.springframework.web.servlet.mvc.method.annotation
MVC infrastructure for annotation-based handler method processing, building on the `org.springframework.web.method.annotation` package.
org.springframework.web.servlet.mvc.support
Support package for MVC controllers.

## Uses of NoResourceFoundException in org.springframework.web.servlet.mvc.method.annotation

Methods in org.springframework.web.servlet.mvc.method.annotation with parameters of type NoResourceFoundException
Modifier and Type
Method
Description
`protected org.springframework.http.ResponseEntity<Object>`
ResponseEntityExceptionHandler.`handleNoResourceFoundException(NoResourceFoundException ex, org.springframework.http.HttpHeaders headers, org.springframework.http.HttpStatusCode status, org.springframework.web.context.request.WebRequest request)`
Customize the handling of `NoResourceFoundException`.

## Uses of NoResourceFoundException in org.springframework.web.servlet.mvc.support

Methods in org.springframework.web.servlet.mvc.support with parameters of type NoResourceFoundException
Modifier and Type
Method
Description
`protected ModelAndView`
DefaultHandlerExceptionResolver.`handleNoResourceFoundException(NoResourceFoundException ex, HttpServletRequest request, HttpServletResponse response, Object handler)`
Handle the case where no static resource was found.